Can not filter audit template list by the goal or by host_aggregate

Bug #1510189 reported by David TARDIVEL on 2015-10-26
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
python-watcherclient
Undecided
Vincent Françoise
watcher
Low
Vincent Françoise

Bug Description

root@rdev-indeedsrv001:~# watcher --debug audit-template-list --goal SERVERS_CONSOLIDATION
DEBUG (session:195) REQ: curl -g -i -X GET http://10.50.0.207:5000/v3/ -H "Accept: application/json" -H "User-Agent: python-keystoneclient"
INFO (connectionpool:203) Starting new HTTP connection (1): 10.50.0.207
DEBUG (connectionpool:383) "GET /v3/ HTTP/1.1" 200 332
DEBUG (session:224) RESP: [200] content-length: 332 vary: X-Auth-Token connection: keep-alive date: Tue, 16 Jun 2015 14:41:50 GMT content-type: application/json x-distribution: Ubuntu
RESP BODY: {"version": {"status": "stable", "updated": "2013-03-06T00:00:00Z", "media-types": [{"base": "application/json", "type": "application/vnd.openstack.identity-v3+json"}, {"base": "application/xml", "type": "application/vnd.openstack.identity-v3+xml"}], "id": "v3.0", "links": [{"href": "http://10.50.0.207:5000/v3/", "rel": "self"}]}}

WARNING (base:211) Plugin cannot return an endpoint without knowing the service type that is required. Add service_type to endpoint filtering data.
list() got an unexpected keyword argument 'goal'

Note
====

There is a Tempest test that is currently skipped because of this bug. So they will have to be re-enabled as we get this fixed.

Changed in watcher:
importance: Undecided → Low
status: New → Confirmed
tags: added: low-hanging-fruit
Changed in watcher:
milestone: none → mitaka-3
summary: - Can not filter audit template list by the goal
+ Can not filter audit template list by the goal or by host_aggregate
description: updated
Changed in watcher:
assignee: nobody → Vincent Françoise (vincent-francoise)
Changed in python-watcherclient:
milestone: none → mitaka-3
Changed in watcher:
status: Confirmed → In Progress
Changed in python-watcherclient:
status: New → In Progress
assignee: nobody → Vincent Françoise (vincent-francoise)

Reviewed: https://review.openstack.org/279555
Committed: https://git.openstack.org/cgit/openstack/python-watcherclient/commit/?id=9699fc5f70f71d430b09948c473a62a8c3450053
Submitter: Jenkins
Branch: master

commit 9699fc5f70f71d430b09948c473a62a8c3450053
Author: Vincent Francoise <email address hidden>
Date: Fri Feb 12 15:15:18 2016 +0100

    Removed host_aggregate filter for Audit Template

    Although it was proposed via python-watcherclient, the feature was not
    implemented on the Watcher API. As the notion of host aggregate is
    currently unused in Watcher, decision was made to only implement the
    filtering of goal within the Watcher API whilst removing the
    host_aggregate filter from the Watcher client.
    Thus, this patchset removes the 'host_aggregate' parameter from the
    client.

    Change-Id: I014e4b0d5e734ea9ef869c3ad33908a2c0d2aa40
    Related-Bug: #1510189

Reviewed: https://review.openstack.org/279517
Committed: https://git.openstack.org/cgit/openstack/watcher/commit/?id=4e71a0c655a53651c6331c5d0940f6acf3c856da
Submitter: Jenkins
Branch: master

commit 4e71a0c655a53651c6331c5d0940f6acf3c856da
Author: Vincent Françoise <email address hidden>
Date: Fri Feb 12 13:45:49 2016 +0100

    Added goal filter in Watcher API

    Although it was proposed via python-watcherclient, the feature was
    not implemented on the Watcher API.
    As the notion of host aggregate is currently unused in Watcher,
    decision was made to only implement the filtering of goal within
    the Watcher API whilst removing the host_aggregate filter from the
    Watcher client.
    Thus, this patchset adds this missing functionality by adding the
    'goal' parameter to the API.

    Change-Id: I54d248f7e470249c6412650ddf50a3e3631d2a09
    Related-Bug: #1510189

Reviewed: https://review.openstack.org/279655
Committed: https://git.openstack.org/cgit/openstack/watcher/commit/?id=1ddf69a68f8325334667698c3c3cc87cef63214a
Submitter: Jenkins
Branch: master

commit 1ddf69a68f8325334667698c3c3cc87cef63214a
Author: Vincent Françoise <email address hidden>
Date: Fri Feb 12 17:28:01 2016 +0100

    Re-enable related Tempest test

    Following the previous 2 patchset
    https://review.openstack.org/#/c/279517/ and
    https://review.openstack.org/#/c/279555/, this patchset re-enables
    the related Tempest test which filters goals while removing the one
    that was filtering by host aggregate.

    Change-Id: I384e62320de34761e29d5cbac37ddc8ae253a70c
    Closes-Bug: #1510189

Changed in watcher:
status: In Progress → Fix Released
Changed in python-watcherclient:
milestone: mitaka-3 → mitaka-rc-1

Reviewed: https://review.openstack.org/290379
Committed: https://git.openstack.org/cgit/openstack/watcher/commit/?id=8e8fdbd809834f0be8a934cbb5abe63316b6ef3d
Submitter: Jenkins
Branch: master

commit 8e8fdbd809834f0be8a934cbb5abe63316b6ef3d
Author: Vincent Françoise <email address hidden>
Date: Wed Mar 9 11:20:16 2016 +0100

    Re-generated the watcher.pot

    There are translations that are missing from watcher.pot.
    This patchset includes them.

    Change-Id: Ia418066b5653b4c81885d3eb150613ba357f9b7b
    Related-Bug: #1510189

Changed in python-watcherclient:
status: In Progress → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers